Issue 124875 - Support Mac Multimedia based on the AV-Foundation API
Summary: Support Mac Multimedia based on the AV-Foundation API
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: 4.1.0
Hardware: Mac Mac OS X, all
: P3 Normal (vote)
Target Milestone: 4.2.0
Assignee: hdu@apache.org
QA Contact:
URL:
Keywords:
Depends on: 124800
Blocks:
  Show dependency tree
 
Reported: 2014-05-12 13:34 UTC by hdu@apache.org
Modified: 2017-05-20 10:35 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description hdu@apache.org 2014-05-12 13:34:13 UTC
Bug 124800 highlighted the fact that on Mac the Quicktime framework had been disabled for 32bit clients since OSX10.6 and the related QTKit API has been deprecated since OSX10.9.

The AV-Foundation framework is their successor and needs to be supported before the deprecated APIs of the other frameworks get dropped altogether.
Comment 1 SVN Robot 2014-05-12 13:39:09 UTC
"hdu" committed SVN revision 1593965 into trunk:
#i124875# support Mac AV-Foundation API for multimedia content
Comment 2 SVN Robot 2014-05-12 15:50:40 UTC
"hdu" committed SVN revision 1594013 into trunk:
#i124875# avoid avmedia build problems with multiple active backends
Comment 3 SVN Robot 2014-05-12 16:13:15 UTC
"hdu" committed SVN revision 1594017 into trunk:
#i124875# avoid wasteful loading of an AVAsset in MacAVF::Framegrabber
Comment 4 hdu@apache.org 2014-05-13 07:52:46 UTC
Implemented with the commits above.
Comment 5 SVN Robot 2014-05-13 12:12:13 UTC
"hdu" committed SVN revision 1594208 into trunk:
#i124875# pre-register the Mac AVFoundation component
Comment 6 SVN Robot 2014-05-15 09:46:30 UTC
"hdu" committed SVN revision 1594838 into trunk:
#i124875# use AVAsset's best guess duration if AVPlayerItem isn't ready yet